#include "main_interface.h"

#include <qvariant.h>
#include "CViewer.h"
/*
 *  Constructs a main_interface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
main_interface::main_interface(QWidget* parent, const char* name, Qt::WindowFlags fl)
    : Q3MainWindow(parent, name, fl)
{
    setupUi(this);

    (void)statusBar();
}

/*
 *  Destroys the object and frees any allocated resources
 */
main_interface::~main_interface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void main_interface::languageChange()
{
    retranslateUi(this);
}

void main_interface::activateMobile(int)
{
    qWarning("main_interface::activateMobile(int): Not implemented yet");
}

void main_interface::addMobile()
{
    qWarning("main_interface::addMobile(): Not implemented yet");
}

void main_interface::applyExprs()
{
    qWarning("main_interface::applyExprs(): Not implemented yet");
}

void main_interface::cancelExprs()
{
    qWarning("main_interface::cancelExprs(): Not implemented yet");
}

void main_interface::changeColor(int)
{
    qWarning("main_interface::changeColor(int): Not implemented yet");
}

void main_interface::cloneSelected()
{
    qWarning("main_interface::cloneSelected(): Not implemented yet");
}

void main_interface::exportAll()
{
    qWarning("main_interface::exportAll(): Not implemented yet");
}

void main_interface::exportChanged()
{
    qWarning("main_interface::exportChanged(): Not implemented yet");
}

void main_interface::exportNone()
{
    qWarning("main_interface::exportNone(): Not implemented yet");
}

void main_interface::exprsChanged()
{
    qWarning("main_interface::exprsChanged(): Not implemented yet");
}

void main_interface::iconChange(int)
{
    qWarning("main_interface::iconChange(int): Not implemented yet");
}

void main_interface::load()
{
    qWarning("main_interface::load(): Not implemented yet");
}

void main_interface::loadBordBPreset(int)
{
    qWarning("main_interface::loadBordBPreset(int): Not implemented yet");
}

void main_interface::loadBordLPreset(int)
{
    qWarning("main_interface::loadBordLPreset(int): Not implemented yet");
}

void main_interface::loadBordRPreset(int)
{
    qWarning("main_interface::loadBordRPreset(int): Not implemented yet");
}

void main_interface::loadBordTPreset(int)
{
    qWarning("main_interface::loadBordTPreset(int): Not implemented yet");
}

void main_interface::loadCollidePreset(int)
{
    qWarning("main_interface::loadCollidePreset(int): Not implemented yet");
}

void main_interface::loadMvtPreset(int)
{
    qWarning("main_interface::loadMvtPreset(int): Not implemented yet");
}

void main_interface::loadSession()
{
    qWarning("main_interface::loadSession(): Not implemented yet");
}

void main_interface::loadStartPreset(int)
{
    qWarning("main_interface::loadStartPreset(int): Not implemented yet");
}

void main_interface::selectPrev()
{
    qWarning("main_interface::selectPrev(): Not implemented yet");
}

void main_interface::resetSelected()
{
    qWarning("main_interface::resetSelected(): Not implemented yet");
}

void main_interface::resetSession()
{
    qWarning("main_interface::resetSession(): Not implemented yet");
}

void main_interface::saveSelected()
{
    qWarning("main_interface::saveSelected(): Not implemented yet");
}

void main_interface::saveSession()
{
    qWarning("main_interface::saveSession(): Not implemented yet");
}

void main_interface::selectNext()
{
    qWarning("main_interface::selectNext(): Not implemented yet");
}

void main_interface::setValues()
{
    qWarning("main_interface::setValues(): Not implemented yet");
}

void main_interface::startStopSelected()
{
    qWarning("main_interface::startStopSelected(): Not implemented yet");
}

void main_interface::supprSelected()
{
    qWarning("main_interface::supprSelected(): Not implemented yet");
}

void main_interface::viewAll()
{
    qWarning("main_interface::viewAll(): Not implemented yet");
}

void main_interface::viewNone()
{
    qWarning("main_interface::viewNone(): Not implemented yet");
}

void main_interface::visibleChanged()
{
    qWarning("main_interface::visibleChanged(): Not implemented yet");
}

void main_interface::applyAll()
{
    qWarning("main_interface::applyAll(): Not implemented yet");
}

